<?php
/************************************************************************
  			ihm/ihmentreprise.php - Copyright nivard

Ce fichier a ete genere le jeu jan 15 2004 a 10:24:53
L'emplacement original de ce fichier est /var/www/html/snpiet/PHP/Inc/Classes/ihm/ihmentreprise.php
**************************************************************************/
if ( !defined('INC_FILE_IHM_ENTREPRISE') ) {
      define ('INC_FILE_IHM_ENTREPRISE',1);

include(PATH_BO.'entreprise.php');

/**
  * class IHMEntreprise
  * 
  */

class IHMEntreprise
{

  /**
    *
    * @param db
    *      Référence à la BDD.
    * @param entreprise
    *      Entreprise à afficher.
    */
  function show( &$mdb2, &$obj )
  {
    printf("Acitités liées à la tache %s",$obj->id);
    $dateCreation=MySQLDateToExplicitDate($obj->dateCreation);
    printf("<p><img class=\"portrait\" src=\"$srcImg\" alt=\"Logo de ".$obj->nom."\"/></p>
    <table>
    <tr><td>Nom</td><td>%s</td></tr>
    <tr><td>Téléphone</td><td>%s</td></tr>
    <tr><td>Date de création</td><td>$dateCreation</td></tr>",$obj->nom,$obj->telephone);

    $req="select * from ".TBL_CENTRALES." where idEntreprise=".$obj->id;
    $result=mysql_query($req,$mdb2);
    if ($result==false) {
      printf(STR_REQ_SELECT_ECHEC);
    }
    $rows=mysql_num_rows($result);
    While ($dataCentrale=mysql_fetch_object($result)) {
      printf("\n<tr><td>Centrale</td><td><a href=\"".FILE_CENTRALE."?id=$dataCentrale->id\">$dataCentrale->nom</a></td></tr>");
    }

    $req3="select * from ".TBL_PERSONNES." where FIND_IN_SET(id, '".$obj->personnes."')<>0 order by nom";
    $result3=mysql_query($req3,$mdb2);
    if ($result3==false) {
      printf("La requête $req3 a échoué !");
    }
    $rows=mysql_num_rows($result3);
    printf("\n\t<tr><td>Membres</td><td></td></tr>");
    While ($dataPersonne=mysql_fetch_object($result3)) {
      printf("\n\t<tr><td></td><td><a href=\"".FILE_PERSONNE."?id=$dataPersonne->id\">$dataPersonne->nom $dataPersonne->prenom</a></td></tr>");
    }

    printf("\n\t</table>");
    if ($_SESSION[SESS_USER_DROITS]==DROITS_MODIF) {
    printf("<form method=\"post\" action=\"".FILE_ENTREPRISE_MODIF."?id=%s\">
    <input type=\"submit\" value=\"Modifier\" />
    </form>",$obj->id);
    printf("<form method=\"post\" action=\"".FILE_ENTREPRISE_SUP_CONF."?id=%s\">
    <input type=\"submit\" value=\"Supprimer\" />
    </form>",$obj->id);
    }
  }


  /**
    *
    * @param entreprise
    *      Entreprise à modifier.
    * @param db
    *      Référence à la BDD.
    */
  function modif( &$mdb2, &$obj )
  {
    $tabDate=explode('-',$obj->dateCreation);
    printf("Veuillez saisir les caractéristiques de l'entreprise ".$obj->nom."
    <img class=\"portrait\" src=\"".PATH_IMAGES_ENTREPRISES.$obj->logo."\" alt=\"Logo de ".$obj->nom."\"/>
    <form action=\"".FILE_ENTREPRISE_SAV."?id=".$obj->id."\" method=\"post\">
    <table>
    <tr><td>Nom</td><td><input type=\"text\" name=\"".FORM_ENT_NOM."\" value=\"".$obj->nom."\" /></td></tr>
    <tr><td>Téléphone</td><td><input type=\"text\" name=\"".FORM_ENT_TELEPHONE."\" value=\"".$obj->telephone."\" /></td></tr>
    <tr><td>Date de création</td><td><input type=\"text\" name=\"".FORM_ENT_DATE_CREATION."\" value=\"".$tabDate[2].'/'.$tabDate[1].'/'.$tabDate[0]."\" /></td></tr>");
    affPhotos(PATH_IMAGES_ENTREPRISES,$obj->logo);
    printf("</table>
    <input type=\"submit\" value=\"Enregistrer\" />
    </form>");
  }

  /**
    *
    * @param db
    *      Référence à la BDD.
    */
  function showList(&$tab, $ordreCol, $ordreSens)
  {
    if ($ordreCol=='') {
      $ordreCol=FORM_ENT_NOM;
    }
    if ($ordreSens=='ASC') {
      $ordreSens='DESC';
      $imgOrdre=PATH_IMAGES_DIVERS.'fleche17.gif';
    } else {
      $ordreSens='ASC';
      $imgOrdre=PATH_IMAGES_DIVERS.'fleche16.gif';
    }
    printf("<div class=\"snpiet-liste\">
    <table summary=\"Entreprises du SNPIET\">
    <caption>".count($tab)." entreprises enregistrées sur le site du SNPIET</caption>
    <th>Photo</th>
    <th><a href=\"".FILE_ENTREPRISES."?OrdreCol=nom&OrdreSens=$ordreSens\"><img src=\"$imgOrdre\" alt=\"fleche\"/>Nom</a></th>
    <th>T&eacute;l.</th>");
    $colorFondAdd=0;
    foreach ($tab as $entreprise) {
      $dateCreation=MySQLDateToExplicitDate($entreprise->dateCreation);
      $srcImg=PATH_IMAGES_ENTREPRISES."$entreprise->logo";
      $colorFondAdd=1-$colorFondAdd;
      printf("\n<tr class=\"ligne$colorFondAdd\">
        <td><a href=\"".FILE_ENTREPRISE."?id=$entreprise->id\"><img class=\"imagette\" src=\"$srcImg\" alt=\"Photo de $entreprise->nom\"/></a></td>");
      printf("<td><a href=\"Entreprise.php?id=$entreprise->id\">$entreprise->nom</a></td>
        <td>$entreprise->telephone</td>");
      printf("</tr>");
    }
    printf("</table>");
    if ($_SESSION[SESS_USER_DROITS]==DROITS_MODIF) {
      printf("</form>
      <form method=\"post\" action=\"".FILE_ENTREPRISE_MODIF."?id=-1\">
      <input type=\"submit\" value=\"Ajouter une entreprise\" />
      </form>");
    }
    printf("</div>");
  }

  function affCheckList(&$mdb2,$idEntreprise)
  {
    $req="select * from ".TBL_ENTREPRISES." order by nom";
    $result=mysql_query($req,$mdb2);
    if ($result==false) {
      printf(STR_REQ_SELECT_ECHEC);
    }
    $rows=mysql_num_rows($result);
    printf("\n\t<tr><td>Entreprise</td><td></td><tr><td></td><td>");
    While ($data=mysql_fetch_object($result)) {
      $strCheck='';
      if ($idEntreprise==$data->id) {
        $strCheck=" checked=\"checked\" ";
      }
      printf("\n\t<input type=\"radio\" name=\"".FORM_ENT_ENTREPRISE."\" value=\"$data->id\" $strCheck />$data->nom<br>");
    }
    printf("</td></tr>");
    mysql_free_result($result);
  }
} // class

} // ifndef
?>
